import request from '@/utils/request'

// 查询积分奖励列表
export function listGlobal(query) {
  return request({
    url: '/system/globalIntegral/list',
    method: 'get',
    params: query
  })
}

// 查询积分奖励详细
export function getGlobal(id) {
  return request({
    url: '/system/globalIntegral/' + id,
    method: 'get'
  })
}

// 新增积分奖励
export function addGlobal(data) {
  return request({
    url: '/system/globalIntegral',
    method: 'post',
    data: data
  })
}

// 修改积分奖励
export function updateGlobal(data) {
  return request({
    url: '/system/globalIntegral',
    method: 'put',
    data: data
  })
}

// 删除积分奖励
export function delGlobal(id) {
  return request({
    url: '/system/globalIntegral/' + id,
    method: 'delete'
  })
}
